Skip to navigation

Retrieve a payment run

View as Markdown
Retrieve the details of a specific Payment Run object.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Path parameters

keystringRequired
Object ID or Number.

Headers

Idempotency-KeystringOptional<=255 characters
Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident.
Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Zuora-Org-IdsstringOptional

Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.

The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.

Zuora-VersionstringOptional

The minor API version.

For a list of available minor versions, see API upgrades.

Query parameters

pageSizeintegerOptional1-99Defaults to 10

The maximum number of results to return in a single page. If the specified pageSize is less than 1 or greater than 99, Zuora will return a 400 error.

cursorstringOptional

A cursor for use in pagination. A cursor defines the starting place in a list. For instance, if you make a list request and receive 100 objects, ending with next_page=W3sib3JkZXJ=, your subsequent call can include cursor=W3sib3JkZXJ= in order to fetch the next page of the list.

sort[]list of stringsOptional

A case-insensitive query parameter that specifies the sort order of the list, which can be either ascending (e.g. accountnumber.ASC) or descending (e.g. accountnumber.DESC). You cannot sort on properties in arrays. If the array-type properties are specified for the sort[] parameter, they are ignored.

expand[]list of stringsOptional
Allows you to expand responses by including related object information in a single call. The Payment Run object does not support expanding any related objects.
filter[]list of stringsOptional

A case-insensitive filter on the list.

fields[]list of stringsOptional

A case-insensitive query parameter that allows you to specify which fields are returned in the response.

includeNullFieldsbooleanOptionalDefaults to false

Specifies whether to include fields with the null value in the response.

  • If set to true, all fields will be returned in the response, including those with the null value.
  • If set to false, only fields with non-null values will be returned.

Response headers

Content-EncodingstringOptional

This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:

  • application/json
  • application/xml
  • text/html
  • text/csv
  • text/plain
RateLimit-LimitstringOptional

The request limit quota for the time window closest to exhaustion. See rate limits for more information.

RateLimit-Remainingdouble

The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.

RateLimit-Resetdouble

The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.

Zuora-Request-IdstringOptional
The Zuora internal identifier of the API call. You cannot control the value of this header.
Zuora-Track-IdstringOptional
A custom identifier for tracing the API call. If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. Otherwise, Zuora does not set this header.
Concurrency-Limit-TypestringOptional

The type of the concurrency limit, which can be Default, High-volume transactions, or Object Query.

For more information, see Concurrent request limits.

Concurrency-Limit-Limitinteger

The total number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Concurrency-Limit-Remaininginteger

The remaining number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Response

OK
idstringOptional
The unique identifier of the payment run.
createdByIdstringOptional
The unique identifier of the user who created the payment run.
createdDatedatetimeOptional

The time that the payment run gets created in the system, in the YYYY-MM-DD HH:MM:SS format.

updatedByIdstringOptional
The unique identifier of the user who last updated the payment run.
updatedDatedatetimeOptional

The time that the payment run gets updated in the system, in the YYYY-MM-DD HH:MM:SS format.

endDatestringOptional
The end date of the payment run.
executedDatedatetimeOptional

The date and time when the payment run is executed, in yyyy-mm-dd hh:mm:ss format. For example, 2024-03-01 11:30:37.

numberOfCreditBalanceAdjustmentsintegerOptional

Note: This field is only available if you have the Credit Balance feature enabled.

The number of credit balance adjustments that are successfully processed in the payment run.

numberOfErrorsintegerOptional

The number of payments with the status of Error and Processing.

numberOfInvoicesintegerOptional

Note: This field is only available if you have the Invoice Settlement feature enabled.

The total number of invoices that are picked up for processing in the payment run.

numberOfPaymentsintegerOptional
The number of payments that are successfully processed in the payment run.
numberOfUnprocessedintegerOptional
The number of billing documents with remaining positive balances after the payment run is completed.
paymentRunNumberstringOptional
Number of the payment run.
statusenumOptional
The status of the created payment run.
Allowed values:
targetDatedateOptional
The target date used to determine which receivables to be collected in the payment run.
applyCreditBalancebooleanOptional
Whether to apply credit balances in the payment run. This field is only available when you have Invoice Settlement feature disabled.
consolidatedPaymentbooleanOptional

Note: The Process Electronic Payment permission also needs to be allowed for a Manage Payment Runs role to work. See Payments Roles for more information.

Whether to process a single payment for all receivables that are due on an account.

processPaymentWithClosedPMbooleanOptional

Whether to process payments even if the default payment method is closed.

Note: The Process Electronic Payment permission also needs to be allowed for a Manage Payment Runs role to work. See Payments Roles for more information.

collectPaymentbooleanOptional
Whether to process electronic payments during the execution of payment runs.
autoApplyCreditMemobooleanOptional

Whether to automatically apply a posted credit memo to one or more receivables in the payment run.

Note: This field is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information.

autoApplyUnappliedPaymentbooleanOptional

Whether to automatically apply unapplied payments to one or more receivables in the payment run.

Note: This field is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information.

numberOfCreditMemosintegerOptional

The total number of credit memos that are successfully processed in the payment run.

Note: This field is only available if you have the Invoice Settlement feature enabled.

numberOfDebitMemosintegerOptional

The total number of debit memos that are picked up for processing in the payment run.

Note: This field is only available if you have the Invoice Settlement feature enabled.

numberOfDebitMemosUnprocessedintegerOptional

The total number of debit memos that are not processed in the payment run.

Note: This field is only available if you have the Invoice Settlement feature enabled.

numberofUnappliedPaymentsintegerOptional

The number of unapplied payments that are successfully processed in the payment run.

Note: This field is only available if you have the Invoice Settlement feature enabled.

totalExecutionTimelongOptional
The total time taken to execute the payment run in milliseconds.
errorMessagestringOptional
The detailed information of the error response.
runDatedateOptional
The date and time when the scheduled payment run is to be executed for collecting payments.
nextRunOndateOptional
The date when the next payment run is scheduled to run.
repeatTypeenumOptional
The repeat type of the payment run.
Allowed values:
repeatFromstringOptional
The start date of the scheduled payment run.
repeatTostringOptional
The end date of of the scheduled payment run.
runTimeintegerOptional0-23

The scheduled run time (hour) of day.

timeZonestringOptional
Timezone of the scheduled payment run.
monthlyOnDaystringOptional
The repeat day in a month.
weeklyOnDayenumOptional

The repeat day in a week.

This field is required if you set repeatType field to Weekly.

accountIdstringOptional
The ID of the customer account associated with the payment run.
batchstringOptional
The alias name given to a batch.
billingCycleDaystringOptional

The billing cycle day (BCD), the day of the month when a bill run generates invoices for the account.

currencystringOptional

A currency defined in the web-based UI administrative settings.

paymentGatewayIdstring or nullOptionalformat: "uuid"
The ID of the gateway instance that processes the payment.
billingRunIdstringOptional
The unique identifier of the billing run that the payment run is associated with.

Errors

4XX
Client Request Error
500
Internal Server Error